import Vue from 'vue'
import App from './App'
import Cookies from 'js-cookie'
import pageHead from './components/page-head.vue'
import pageFoot from './components/page-foot.vue'
import uLink from '@/components/uLink.vue'
import store from './store';
import auth from '@/common/auth.js';
import util from '@/common/util.js';

Vue.config.productionTip = false;

//Vue.prototype.$store = store
Vue.prototype.$backgroundAudioData = {
	playing: false,
	playTime: 0,
	formatedPlayTime: '00:00:00'
}
Vue.prototype.$adpid = "1111111111";
/* 常用函数封装为一个js文件，并设置为vue实例的一个属性，以方便调用 */
Vue.prototype.$util=util;
Vue.prototype.getDate = util.getDate();

Vue.component('page-head', pageHead)
Vue.component('page-foot', pageFoot)
Vue.component('uLink', uLink)

App.mpType = 'app'

const app = new Vue({
	store,
	...App
})
app.$mount() //挂载Vue实例
